<id>
Pop-up Alert on Logout for YaBB 2.4
</id>

<version>
1.0
</version>

<mod info>
This mod adds a JavaScript pop-up alert when members logout of the forum.

Installation
---------------------------
1) Modify YaBB files using BoardMod or manually.
2) Load modified files to your server in ASCII mode.

Files to edit
--------------
Admin/ModList.pl
Languages/English/Menu.lng
Sources/Subs.pl
Sources/TabMenu.pl

History
-----------
1.0 - First Release - 27th August 2009
</mod info>

<author>
Derek Barnstorm
</author>

<homepage>
http://www.boardmod.org
</homepage>

<edit file>
Admin/ModList.pl
</edit file>

<search for>
### END BOARDMOD ANCHOR ###
</search for>

<add before>
	$logout_alert_mod = "Pop-up Alert on Logout|Derek Barnstorm|This mod adds a JavaScript pop-up alert when members logout of the forum.|1.0|27th August 2009";
	push (@installed_mods, "$logout_alert_mod");
</add before>

<edit file>
Languages/English/Menu.lng
</edit file>

<search for>
'108' => 'Logout',
</search for>

<add after>
'108a' => "Are you sure you want to log out ${$uid.$username}{'realname'}?",
</add after>

<edit file>
Sources/Subs.pl
</edit file>

<search for>
			$yymenu .= qq~$menusep<a href="$scripturl?action=logout">$img{'logout'}</a>~;
</search for>

<replace>
			$yymenu .= qq~$menusep<a href="$scripturl?action=logout" onclick="return confirm('$img_txt{'108a'}');">$img{'logout'}</a>~;
</replace>

<edit file>
Sources/TabMenu.pl
</edit file>

<search for>
		$tab{'logout'} = qq~<span |><a href="$scripturl?action=logout" title = "$img_txt{'108'}" style="padding: 3px 0 4px 0;">$tabfill$img_txt{'108'}$tabfill</a></span>~;
</search for>

<replace>
		$tab{'logout'} = qq~<span |><a href="$scripturl?action=logout" title = "$img_txt{'108'}" style="padding: 3px 0 4px 0;" onclick="return confirm('$img_txt{'108a'}');">$tabfill$img_txt{'108'}$tabfill</a></span>~;
</replace>